SEEKDIR(3)

NAME
seekdir - set the position of the next readdir() call in the directory stream.

SYNOPSIS
#include <dirent.h>

void seekdir(DIR *dir, off_t offset);

DESCRIPTION
The seekdir() function sets the location in the directory stream from which the next readdir() call will start. seekdir() should be used with an offset returned by telldir().

RETURN VALUE
The seekdir() function returns no value.

CONFORMING TO
4.3BSD

SEE ALSO
lseek(2), closedir(3), opendir(3), readdir(3), rewinddir(3), scandir(3), telldir(3)